---
title: Infrastructure
description: Explication de l'infrastructure de RésiLien
---
# Documentation

Vous trouverez ici une brève explication de notre infrastructure. Vous pourrez accéder à plus de détail sur notre [documentation générale](https://notes.resilien.fr/Résilien.md).

## Infrastructure

1. Serveurs RésiLien hébergeant les données et services
    - Matériel : [Voir notre documentation](https://notes.resilien.fr/Infrastructure.md#Liste-du-mat%C3%A9riel)
    - Niveau d'accès : à distance + utilisateur root
    - Localisation : France
1. Serveur VPN hébergé chez Hetzner qui agit comme proxy et redirige le trafic entrant vers les serveurs RésiLien correspondants
    - Matériel : CX11
    - Logiciel : Debian
    - Niveau d'accès : à distance + utilisateur root
    - Localisation : Nuremberg, Allemagne
1. Stockage Scaleway (Object Storage compatible S3) hébergeant les sauvegardes chiffrées
    - Matériel : infogéré par Scaleway
    - Logiciel : propriétaire compatible protocole S3
    - Niveau d'accès : utilisateur normal
    - Localisation : Paris, France


## Déploiement des services

- Les services web sont déployés dans des conteneurs Docker ([voir le dépôt Git](https://git.resilien.fr/ResiLien/services)).
- Les serveurs et services web sont installés via Ansible.
- Les déploiements Ansible sont effectués manuellement pour les mises à jour et pour l'ajout de nouvelles machines.
- Le code source du site internet est disponible [ici](https://git.resilien.fr/ResiLien/resilien).
